#
# Conditional build:
%bcond_with	tests		# build without tests

%define		pkgname	mixlib-cli
Summary:	Simple Ruby mix-in for CLI interfaces
Name:		ruby-%{pkgname}
Version:	1.7.0
Release:	2
License:	Apache v2.0
Group:		Development/Languages
Source0:	http://gems.rubyforge.org/gems/%{pkgname}-%{version}.gem
# Source0-md5:	d025beeb0f66c64633f9c27888aa42f3
# Patch to silence mixlib-cli tests;
# see http://tickets.opscode.com/browse/MIXLIB-8
Patch0:		mixlib-cli-silence-tests.patch
URL:		http://github.com/opscode/mixlib-cli
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
%if %{with tests}
BuildRequires:	ruby-rake
BuildRequires:	ruby-rdoc
BuildRequires:	ruby-rspec
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A simple mix-in for CLI interfaces, including option parsing.

%package doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.

%prep
%setup -q
%patch0 -p1

%build
# write .gemspec
%__gem_helper spec

%if %{with tests}
rspec
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md NOTICE
%{ruby_vendorlibdir}/mixlib/cli.rb
%{ruby_vendorlibdir}/mixlib/cli
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

# FIXME, who owns the dir?
%dir %{ruby_vendorlibdir}/mixlib

%if 0
%files doc
%defattr(644,root,root,755)
%endif
%changelog
* Sat Mar 21 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-mixlib-cli.git;a=log;h=master

* Sat Mar 21 2020 Jan Rękorajski <baggins@pld-linux.org> 56b52dd
- release 2 (by relup.sh)

* Sun Jul 15 2018 Jan Rękorajski <baggins@pld-linux.org> 6033120
- up to 1.7.0

* Tue Sep 01 2015 Elan Ruusamäe <glen@delfi.ee> c6fd320
- rebuild without versioned ruby abi dep
- release 4 (by relup.sh)

* Tue Dec 23 2014 Elan Ruusamäe <glen@delfi.ee> cf13a5e
- rebuild with gemspec deps
- release 3 (by relup.sh)

* Tue Jul 22 2014 Elan Ruusamäe <glen@delfi.ee> 874f51e
- ruby 2.0 rebuild
- release 2 (by relup.sh)

* Sun Feb 16 2014 Elan Ruusamäe <glen@delfi.ee> c63b1af
- up to 1.4.0

* Mon Jun 24 2013 Elan Ruusamäe <glen@delfi.ee> be0c5f5
- build with rubygems provides

* Wed Apr 03 2013 Elan Ruusamäe <glen@delfi.ee> 69e0f16
- new, version 1.3.0

